DefaultObjectWrapperBuilder (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.template, class: DefaultObjectWrapperBuilder

Package freemarker.template

# Class DefaultObjectWrapperBuilder

java.lang.Object
freemarker.ext.beans.BeansWrapperConfiguration
freemarker.template.DefaultObjectWrapperConfiguration
freemarker.template.DefaultObjectWrapperBuilder

All Implemented Interfaces:
  `Cloneable`

public class DefaultObjectWrapperBuilder extends DefaultObjectWrapperConfiguration
Gets/creates a `DefaultObjectWrapper` singleton instance that's already configured as specified in the properties of this object; this is recommended over using the `DefaultObjectWrapper` constructors. The returned instance can't be further configured (it's write protected).

See `BeansWrapperBuilder` for more info, as that works identically.

Since:
  2.3.21

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultObjectWrapperBuilder​(Version incompatibleImprovements)`
  Creates a builder that creates a `DefaultObjectWrapper` with the given `incompatibleImprovements`; using at least 2.3.22 is highly recommended.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefaultObjectWrapper`
  `build()`
  Returns a `DefaultObjectWrapper` instance that matches the settings of this builder.

  ### Methods inherited from class freemarker.template.DefaultObjectWrapperConfiguration

  `equals, getDOMNodeSupport, getForceLegacyNonListCollections, getIterableSupport, getJythonSupport, getUseAdaptersForContainers, hashCode, setDOMNodeSupport, setForceLegacyNonListCollections, setIterableSupport, setJythonSupport, setUseAdaptersForContainers`

  ### Methods inherited from class freemarker.ext.beans.BeansWrapperConfiguration

  `clone, getDefaultDateType, getDefaultZeroArgumentNonVoidMethodPolicy, getExposeFields, getExposureLevel, getIncompatibleImprovements, getMemberAccessPolicy, getMethodAppearanceFineTuner, getOuterIdentity, getPreferIndexedReadMethod, getRecordZeroArgumentNonVoidMethodPolicy, getTreatDefaultMethodsAsBeanMembers, getUseModelCache, isSimpleMapWrapper, isStrict, setDefaultDateType, setDefaultZeroArgumentNonVoidMethodPolicy, setExposeFields, setExposureLevel, setMemberAccessPolicy, setMethodAppearanceFineTuner, setOuterIdentity, setPreferIndexedReadMethod, setRecordZeroArgumentNonVoidMethodPolicy, setSimpleMapWrapper, setStrict, setTreatDefaultMethodsAsBeanMembers, setUseModelCache`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultObjectWrapperBuilder

    public DefaultObjectWrapperBuilder​(Version incompatibleImprovements)
    Creates a builder that creates a `DefaultObjectWrapper` with the given `incompatibleImprovements`; using at least 2.3.22 is highly recommended. See `DefaultObjectWrapper(Version)` for more information about the impact of `incompatibleImprovements` values.

- ## Method Details

  - ### build

    public DefaultObjectWrapper build()
    Returns a `DefaultObjectWrapper` instance that matches the settings of this builder. This will be possibly a singleton that is also in use elsewhere.